summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Beller <sbeller@google.com>2016-03-25 11:39:16 -0700
committerJunio C Hamano <gitster@pobox.com>2016-03-25 14:30:35 -0700
commitbceb7d3e22f292470bc0542247781c8f278bb97b (patch)
tree342204f03fd8369c738c5dcd01a6b6e4a09677e7
parentffdfdfa5aeb5e42d119231dc71acafd0b6a3da92 (diff)
downloadgit-sb/submodule-helper-prefix.tar.gz
submodule--helper clone: lose the extra prefix optionsb/submodule-helper-prefix
In the rewrite from shell to C (ee8838d157761, 2015-09-08, submodule: rewrite `module_clone` shell function in C), we never made use of the prefix. Probably it sneaked in as module_list which was converted in the same series had the prefix as well. Signed-off-by: Stefan Beller <sbeller@google.com>
-rw-r--r--builtin/submodule--helper.c5
-rwxr-xr-xgit-submodule.sh4
2 files changed, 3 insertions, 6 deletions
diff --git a/builtin/submodule--helper.c b/builtin/submodule--helper.c
index 6c3ff914f3..73b5874a7b 100644
--- a/builtin/submodule--helper.c
+++ b/builtin/submodule--helper.c
@@ -153,9 +153,6 @@ static int module_clone(int argc, const char **argv, const char *prefix)
struct strbuf sb = STRBUF_INIT;
struct option module_clone_options[] = {
- OPT_STRING(0, "prefix", &prefix,
- N_("path"),
- N_("alternative anchor for relative paths")),
OPT_STRING(0, "path", &path,
N_("path"),
N_("where the new submodule will be cloned to")),
@@ -176,7 +173,7 @@ static int module_clone(int argc, const char **argv, const char *prefix)
};
const char *const git_submodule_helper_usage[] = {
- N_("git submodule--helper clone [--prefix=<path>] [--quiet] "
+ N_("git submodule--helper clone [--quiet] "
"[--reference <repository>] [--name <name>] [--url <url>]"
"[--depth <depth>] [--] [<path>...]"),
NULL
diff --git a/git-submodule.sh b/git-submodule.sh
index 2dd1b18069..93beada3ad 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -347,7 +347,7 @@ Use -f if you really want to add it." >&2
echo "$(eval_gettext "Reactivating local git directory for submodule '\$sm_name'.")"
fi
fi
- git submodule--helper clone ${GIT_QUIET:+--quiet} --prefix "$wt_prefix" --path "$sm_path" --name "$sm_name" --url "$realrepo" "$reference" "$depth" || exit
+ git submodule--helper clone ${GIT_QUIET:+--quiet} --path "$sm_path" --name "$sm_name" --url "$realrepo" "$reference" "$depth" || exit
(
clear_local_git_env
cd "$sm_path" &&
@@ -727,7 +727,7 @@ Maybe you want to use 'update --init'?")"
if ! test -d "$sm_path"/.git && ! test -f "$sm_path"/.git
then
- git submodule--helper clone ${GIT_QUIET:+--quiet} --prefix "$prefix" --path "$sm_path" --name "$name" --url "$url" "$reference" "$depth" || exit
+ git submodule--helper clone ${GIT_QUIET:+--quiet} --path "$sm_path" --name "$name" --url "$url" "$reference" "$depth" || exit
cloned_modules="$cloned_modules;$name"
subsha1=
else